package internal

import (
	agentmanager "server/game/agentManager"

	"github.com/name5566/leaf/log"
)

func init() {
	skeleton.RegisterChanRPC("NewAgent", rpcNewAgent)
	skeleton.RegisterChanRPC("CloseAgent", rpcCloseAgent)
}

func rpcNewAgent(args []interface{}) {
	agentmanager.NewAgent(args)
}

func rpcCloseAgent(args []interface{}) {
	log.Debug("rpcCloseAgent")
	agentmanager.CloseAgent(args)
}
